Bug 841425 - CacheFiles bind failed: errno 13 (Permission denied
CacheFiles bind failed: errno 13 (Permission denied
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 20:03 EDT by John Florian
Modified: 2012-08-01 14:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 14:22:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Florian 2012-07-18 20:03:59 EDT
Description of problem:
Cannot start cachefilesd daemon, prevented by SELinux.

Version-Release number of selected component (if applicable):
cachefilesd-0.10.5-2.fc17.x86_64
selinux-policy-targeted-3.10.0-137.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1. Install both.
2. Set SELINUXTYPE=targeted.
3. Try to start cachefilesd.
  
Actual results:
/var/log/messages shows:
Jul 18 19:46:53 myhost cachefilesd[23131]: About to bind cache
Jul 18 19:46:53 myhost kernel: [271526.798128] CacheFiles: Security denies permission to make dirs: error -13
Jul 18 19:46:53 myhost kernel: [271526.798175] CacheFiles: Failed to register: -13
Jul 18 19:46:53 myhost cachefilesd[23131]: CacheFiles bind failed: errno 13 (Permission denied)
Jul 18 19:46:53 myhost systemd[1]: cachefilesd.service: main process exited, code=exited, status=1
Jul 18 19:46:53 myhost systemd[1]: Unit cachefilesd.service entered failed state.

/var/log/audit/audit.log shows:
type=SERVICE_START msg=audit(1342655213.396:2931): pid=0 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg=' comm="cachefilesd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
type=AVC msg=audit(1342655213.957:2932): avc:  denied  { create } for  pid=23131 comm="cachefilesd" name="fscache" dev="dm-1" ino=130948 scontext=system_u:system_r:cachefilesd_t:s0 tcontext=system_u:object_r:cachefiles_var_t:s0 tclass=dir
type=SYSCALL msg=audit(1342655213.957:2932): arch=c000003e syscall=1 success=no exit=-13 a0=3 a1=4043aa a2=4 a3=7fffac4097b0 items=0 ppid=1 pid=23131 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="cachefilesd" exe="/usr/sbin/cachefilesd" subj=system_u:system_r:cachefilesd_t:s0 key=(null)
type=SERVICE_STOP msg=audit(1342655213.971:2933): pid=0 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg=' comm="cachefilesd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'

Expected results:
I want my cake and to eat it too.  :-)

Additional info:
Comment 1 Miroslav Grepl 2012-07-19 17:05:11 EDT
Fixed in selinux-policy-targeted-3.10.0-141.fc17.noarch
Comment 2 John Florian 2012-07-22 08:23:48 EDT
I don't see that package in updates or updates-testing.
Comment 3 Miroslav Grepl 2012-07-23 01:00:45 EDT
A new build will be today.
Comment 4 John Florian 2012-07-26 18:29:29 EDT
I still have seen any package updates and am stuck with selinux-policy-targeted-3.10.0-140.fc17.noarch.  Did an update ever get pushed?
Comment 5 Miroslav Grepl 2012-07-27 07:08:22 EDT
You can download and install the latest package from koji

http://koji.fedoraproject.org/koji/buildinfo?buildID=343797

until I submit it as a new update.
Comment 6 Fedora Update System 2012-07-27 11:35:03 EDT
selinux-policy-3.10.0-142.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-142.fc17
Comment 7 Fedora Update System 2012-07-27 21:24:48 EDT
Package selinux-policy-3.10.0-142.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-142.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11215/selinux-policy-3.10.0-142.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-08-01 14:22:20 EDT
selinux-policy-3.10.0-142.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.